set mem 500M
set matsize 5000
*use "///20080115_MIDDLETON REPLICATION DATA.dta", replace



**SUMMARY STATISTICS**
sort treat2
by treat2: summarize k_contact dm*1AZ dm_demAZ dm_age_trAZ dm_maleAZ if state=="AZ"
by treat2: summarize k_contact        dm_demFL dm_age_trFL dm_maleFL if state=="FL"
by treat2: summarize k_contact dm*1IA dm_demIA             dm_maleIA if state=="IA"
by treat2: summarize k_contact                 dm_age_trMI dm_maleMI if state=="MI"
by treat2: summarize k_contact dm*1MN                      dm_maleMN if state=="MN"
by treat2: summarize k_contact dm*1MO          dm_age_trMO dm_maleMO if state=="MO"
by treat2: summarize k_contact dm*1NC dm_demNC dm_age_trNC dm_maleNC if state=="NC"
by treat2: summarize k_contact dm*1NM dm_demNM dm_age_trNM dm_maleNM if state=="NM"
by treat2: summarize k_contact dm*1NV dm_demNV dm_age_trNV dm_maleNV if state=="NV"
by treat2: summarize k_contact                 dm_age_trOH dm_maleOH if state=="OH"
by treat2: summarize k_contact dm*1OR dm_demOR dm_age_trOR dm_maleOR if state=="OR"
by treat2: summarize k_contact dm*1PA dm_demPA dm_age_trPA dm_malePA if state=="PA"
by treat2: summarize k_contact                 dm_age_trWI dm_maleWI if state=="WI"




**RANDOMIZATION CHECKS**
sort state
areg treat2 dm*          , absorb(block_id) cluster(block_id_new)
by state: areg treat2 dm*, absorb(block_id) cluster(block_id_new)


**ITT**
areg voted treat2 dm*                , absorb(block_id) cluster(block_id_new)
areg voted treat2                    , absorb(block_id) cluster(block_id_new)
areg voted treat2 dm* if(state=="PA"), absorb(block_id) cluster(block_id_new)
areg voted treat2     if(state=="PA"), absorb(block_id) cluster(block_id_new)


**2SLS**
xi: ivreg voted (k_contact=treat2) dm* i.block_id                , cluster(block_id_new)
xi: ivreg voted (k_contact=treat2)     i.block_id                , cluster(block_id_new)
xi: ivreg voted (k_contact=treat2) dm* i.block_id if(state=="PA"), cluster(block_id_new)
xi: ivreg voted (k_contact=treat2)     i.block_id if(state=="PA"), cluster(block_id_new)


**probit model**
xi: probit voted treat2 dm*            i.block_id, cluster(block_id_new)
xi: probit voted treat2                i.block_id, cluster(block_id_new)
